org.keycloak.models.map.storage

## Class CriterionNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.keycloak.models.map.storage.CriterionNotSupportedException

- All Implemented Interfaces:
    Serializable

      public class CriterionNotSupportedException
      extends RuntimeException

  Author:
    hmlnarik
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CriterionNotSupportedException(SearchableModelField field, ModelCriteriaBuilder.Operator op)`
    `CriterionNotSupportedException(SearchableModelField field, ModelCriteriaBuilder.Operator op, String message)`
    `CriterionNotSupportedException(SearchableModelField field, ModelCriteriaBuilder.Operator op, String message, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchableModelField` | `getField()`
    `ModelCriteriaBuilder.Operator` | `getOp()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CriterionNotSupportedException

          public CriterionNotSupportedException(SearchableModelField field,
                                                ModelCriteriaBuilder.Operator op)

    - #### CriterionNotSupportedException

          public CriterionNotSupportedException(SearchableModelField field,
                                                ModelCriteriaBuilder.Operator op,
                                                String message)

    - #### CriterionNotSupportedException

          public CriterionNotSupportedException(SearchableModelField field,
                                                ModelCriteriaBuilder.Operator op,
                                                String message,
                                                Throwable cause)

  - ### Method Detail

    - #### getField

          public SearchableModelField getField()

    - #### getOp

          public ModelCriteriaBuilder.Operator getOp()

Copyright © 2021 JBoss by Red Hat. All rights reserved.